# pb_ds::hash_standard_resize_policy< Size_Policy, Trigger_Policy, External_Size_Access, Size_Type > Class Template Reference

List of all members.

## Detailed Description

### template<typename Size_Policy = hash_exponential_size_policy<>, typename Trigger_Policy = hash_load_check_resize_trigger<>, bool External_Size_Access = false, typename Size_Type = size_t>
class pb_ds::hash_standard_resize_policy< Size_Policy, Trigger_Policy, External_Size_Access, Size_Type >

Definition at line 482 of file hash_policy.hpp.

## Public Types

- enum { external_size_access }
- typedef Size_Policy size_policy
- typedef Size_Type size_type
- typedef Trigger_Policy trigger_policy

## Public Member Functions

- size_type get_actual_size () const
- const Size_Policy & get_size_policy () const
- Size_Policy & get_size_policy ()
- const Trigger_Policy & get_trigger_policy () const
- Trigger_Policy & get_trigger_policy ()
- hash_standard_resize_policy (const Size_Policy &r_size_policy, const Trigger_Policy &r_trigger_policy)
- hash_standard_resize_policy (const Size_Policy &r_size_policy)
- void resize (size_type suggested_new_size)
- void swap (hash_standard_resize_policy< Size_Policy, Trigger_Policy, External_Size_Access, Size_Type > &other)

## Protected Member Functions

- size_type get_new_size (size_type size, size_type num_used_e) const
- bool is_resize_needed () const
- void notify_cleared ()
- void notify_erase_search_collision ()
- void notify_erase_search_end ()
- void notify_erase_search_start ()
- void notify_erased (size_type num_e)
- void notify_find_search_collision ()
- void notify_find_search_end ()
- void notify_find_search_start ()
- void notify_insert_search_collision ()
- void notify_insert_search_end ()
- void notify_insert_search_start ()
- void notify_inserted (size_type num_e)
- void notify_resized (size_type new_size)

The documentation for this class was generated from the following file:

- hash_policy.hpp